=== debian/changelog ===
setbfree (0.5.5-1) unstable; urgency=low

  * Initial release. (Closes: #682831)

 -- Robin Gareus <robin@gareus.org>  Wed, 18 Jul 2012 13:22:26 +0200
