=== debian/control ===
Source: setbfree
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Robin Gareus <robin@gareus.org>
Build-Depends:
 debhelper (>= 9),
 libasound2-dev,
 libjack-dev | libjack-jackd2-dev,
 liblo-dev,
 libsndfile1-dev,
 libzita-convolver-dev (>=3.1.0),
 lv2-dev (>=1.0.0~dfsg2-2),
 tcl-dev,
 tk-dev
Standards-Version: 3.9.3
Homepage: https://setbfree.org
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/setbfree.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git

Package: setbfree
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides: lv2-plugin
Description: DSP tonewheel organ
 setBfree is a MIDI-controlled, software synthesizer designed to imitate
 the sound and properties of the electromechanical organs and sound
 modification devices that brought world-wide fame to the names and
 products of Laurens Hammond and Don Leslie.
