=== debian/watch ===
version=3
http://githubredir.debian.net/github/pantherb/setbfree 	\
 /github/pantherb/setbfree/v(.+)\.tar\.gz
