## setbfree 0.6.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.5.4
+VERSION=0.6.2
 export VERSION
 
 include common.mak
