=== src/Makefile ===
--- 
+++ 
@@ -10,12 +10,15 @@
 
 OBJS= \
 	midi.o \
+	midi_aseq.o \
+	state.o \
 	vibrato.o \
 	tonegen.o \
 	program.o \
 	pgmParser.o \
 	cfgParser.o \
 	main.o \
+	midnam.o \
 	../b_reverb/reverb.o \
 	../b_whirl/eqcomp.o \
 	../b_whirl/whirl.o \
@@ -23,8 +26,11 @@
 
 HEADERS = \
 	cfgParser.h \
+	global_inst.h \
 	main.h \
 	midi.h \
+	midi_aseq.h \
+	midi_types.h \
 	pgmParser.h \
 	program.h \
 	vibrato.h \
