=== debian/changelog ===
setbfree (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/control:
    - Build-Depends on
      + ibftgl-dev
      + libglu1-mesa-dev
      + libx11-dev
    - Depends on ttf-bitstream-vera.
    - Fix Homepage field.
    - Bump Standards.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Apr 2013 00:52:34 +0200
