## setbfree 0.7.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.6.2
+VERSION=0.7.5
 export VERSION
 
 include common.mak
