=== b_reverb/Makefile ===
--- 
+++ 
@@ -4,9 +4,10 @@
 
 targets=reverb.o
 
+LV2NAME=b_reverb
+
 ifeq ($(LV2AVAIL), yes)
   targets+=lv2
-  LV2NAME=b_reverb
 endif
 
 all: $(targets)
@@ -17,7 +18,9 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c reverb.o
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c reverb.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+		-o $(LV2NAME)$(LIB_EXT) lv2.c reverb.o \
+	  -shared $(LV2LDFLAGS) $(LDFLAGS)
 
 %.o: %c %.h ../src/cfgParser.h
