=== b_synth/Makefile ===
--- 
+++ 
@@ -1,57 +1,62 @@
 include ../common.mak
 
 LOADLIBES = -lm
-CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl -std=c99
-CFLAGS+=`pkg-config --cflags lv2 lv2core`
+override CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl -std=c99
+override CFLAGS+=`pkg-config --cflags lv2`
 
-FONTFILE?=/usr/share/fonts/truetype/ttf-bitstream-vera/VeraBd.ttf
+ifeq ($(IS_OSX), yes)
+  FONTFILE?=/usr/X11/lib/X11/fonts/TTF/VeraBd.ttf
+else
+  FONTFILE?=/usr/share/fonts/truetype/ttf-bitstream-vera/VeraBd.ttf
+endif
+
 ifeq ($(shell test -f $(FONTFILE) || echo no ), no)
   $(warning UI font can not be found on this system, install bitstream-vera TTF or set the FONTFILE variable to a ttf file)
-  $(warning LV2 GUI is built without information display)
+  $(warning LV2 GUI will not be built)
   FONT_FOUND=no
 else
   FONT_FOUND=yes
 endif
 
+ifeq ($(IS_OSX), yes)
+  HAVE_UI=$(shell pkg-config --exists ftgl && echo $(FONT_FOUND))
+else
+  HAVE_UI=$(shell pkg-config --exists glu ftgl && echo $(FONT_FOUND))
+endif
+
 targets=
 
-ifeq ($(IS_OSX), yes)
-  HAVE_UI=yes
-else
-  HAVE_UI=$(shell pkg-config --exists glu && echo yes)
-endif
+LV2NAME=b_synth
+LV2GUI=b_synthUI
+TX=textures/
 
 ifeq ($(LV2AVAIL), yes)
-  LV2NAME=b_synth
   targets+=lv2
 
   ifeq ($(HAVE_UI), yes)
-    #UICFLAGS=`pkg-config --cflags pugl-0`
-    #UILIBS=`pkg-config --libs pugl-0`
     UICFLAGS=-I..
     UIDEPS=../pugl/pugl.h ../pugl/pugl_internal.h ui_model.h
-    UIDEPS+=drawbar.c wood.c dial.c
-    UIDEPS+=btn_vibl.c btn_vibu.c
-    UIDEPS+=btn_perc.c btn_perc_decay.c btn_perc_harmonic.c btn_perc_volume.c
-    UIDEPS+=btn_overdrive.c
-    UIDEPS+=bg_right_ctrl.c bg_left_ctrl.c bg_leslie_drum.c bg_leslie_horn.c
-    UIDEPS+=help_screen_image.c
-    LV2GUI=b_synthUI
+    UIDEPS+=$(TX)drawbar.c $(TX)wood.c $(TX)dial.c
+    UIDEPS+=$(TX)btn_vibl.c $(TX)btn_vibu.c $(TX)btn_overdrive.c $(TX)btn_perc_volume.c
+    UIDEPS+=$(TX)btn_perc.c $(TX)btn_perc_decay.c $(TX)btn_perc_harmonic.c
+    UIDEPS+=$(TX)bg_right_ctrl.c $(TX)bg_left_ctrl.c $(TX)bg_leslie_drum.c $(TX)bg_leslie_horn.c
+    UIDEPS+=$(TX)help_screen_image.c
+    UIDEPS+=$(TX)ui_button_image.c $(TX)ui_proc_image.c
+    UIDEPS+=$(TX)uim_background.c $(TX)uim_cable1.c $(TX)uim_cable2.c $(TX)uim_caps.c
+    UIDEPS+=$(TX)uim_tube1.c $(TX)uim_tube2.c
     ifeq ($(IS_OSX), yes)
       UIDEPS+=../pugl/pugl_osx.m
       UILIBS=../pugl/pugl_osx.m -framework Cocoa -framework OpenGL
       UI_TYPE=CocoaUI
     else
       UIDEPS+=../pugl/pugl_x11.c
-      CFLAGS+=`pkg-config --cflags glu`
+      override CFLAGS+=`pkg-config --cflags glu`
       UILIBS=../pugl/pugl_x11.c -lX11 `pkg-config --libs glu`
       UI_TYPE=X11UI
     endif
-    ifeq ($(shell pkg-config --exists ftgl && echo $(FONT_FOUND)), yes)
-      CFLAGS+=`pkg-config --cflags ftgl` -DHAVE_FTGL
-      UILIBS+=`pkg-config --libs ftgl`
-      CFLAGS+=-DFONTFILE=\"$(FONTFILE)\"
-    endif
+    override CFLAGS+=`pkg-config --cflags ftgl` -DHAVE_FTGL
+    UILIBS+=`pkg-config --libs ftgl`
+    override CFLAGS+=-DFONTFILE=\"$(FONTFILE)\"
     targets+=$(LV2GUI)$(LIB_EXT)
   else
     $(warning "openGL/GLU is not available - install glu-dev to include LV2 GUI")
@@ -68,6 +73,7 @@
   ../src/state.o \
   ../src/tonegen.o \
   ../src/pgmParser.o \
+  ../src/memstream.o \
   ../b_whirl/eqcomp.o \
   ../b_whirl/whirl.o \
   ../b_overdrive/overdrive.o \
@@ -90,12 +96,15 @@
 endif
 
 $(LV2NAME)$(LIB_EXT): lv2.c $(OBJ) uris.h ../src/cfgParser.h ../src/midi.h
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c $(OBJ)
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+		-o $(LV2NAME)$(LIB_EXT) \
+		lv2.c $(OBJ) \
+	  -shared $(LV2LDFLAGS) $(LDFLAGS) $(LOADLIBES)
 
 $(LV2GUI)$(LIB_EXT): ui.c uris.h $(UIDEPS)
-	$(CC) $(CFLAGS) \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(UICFLAGS) \
 		-o $(LV2GUI)$(LIB_EXT) ui.c \
-		$(LDFLAGS) $(UICFLAGS) $(UILIBS) -shared $(LV2LDFLAGS)
+		-shared $(LV2LDFLAGS) $(LDFLAGS) $(UILIBS)
 
 %.o: %.c %.h
 	+$(MAKE) -C ../src $(subst ../src/,,$@)
