=== b_whirl/Makefile ===
--- 
+++ 
@@ -4,20 +4,23 @@
 
 targets=whirl.o eqcomp.o
 
+LV2NAME=b_whirl
+
 ifeq ($(LV2AVAIL), yes)
   targets+=lv2
-  LV2NAME=b_whirl
 endif
 
 all: $(targets)
 
 lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) 
 
-manifest.ttl:
+manifest.ttl: manifest.ttl.in
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c whirl.o eqcomp.o whirl.h eqcomp.h ../src/cfgParser.h
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c whirl.o eqcomp.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+		-o $(LV2NAME)$(LIB_EXT) lv2.c whirl.o eqcomp.o \
+	  -shared $(LV2LDFLAGS) $(LDFLAGS)
 
 install: $(targets)
 ifneq ($(strip $(LV2NAME)),)
