=== debian/changelog ===
setbfree (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.
    Thanks to Bart Martens <bartm@debian.org>
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Oct 2013 09:45:21 +0100
