=== debian/control ===
--- 
+++ 
@@ -8,24 +8,29 @@
 Build-Depends:
  debhelper (>= 9),
  libasound2-dev,
+ libftgl-dev,
+ libglu1-mesa-dev,
  libjack-dev | libjack-jackd2-dev,
  liblo-dev,
  libsndfile1-dev,
+ libx11-dev,
  libzita-convolver-dev (>=3.1.0),
  lv2-dev (>=1.0.0~dfsg2-2),
  tcl-dev,
  tk-dev
-Standards-Version: 3.9.3
-Homepage: https://setbfree.org
+Standards-Version: 3.9.4
+Homepage: http://setbfree.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/setbfree.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git
 
 Package: setbfree
 Architecture: any
 Depends:
+ ttf-bitstream-vera,
  ${misc:Depends},
  ${shlibs:Depends}
-Provides: lv2-plugin
+Provides:
+ lv2-plugin
 Description: DSP tonewheel organ
  setBfree is a MIDI-controlled, software synthesizer designed to imitate
  the sound and properties of the electromechanical organs and sound
