=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		ENABLE_CONVOLUTION=yes \
		PREFIX=/usr \
		OPTIMIZATIONS=-O2

override_dh_auto_install:
	dh_auto_install -- \
		ENABLE_CONVOLUTION=yes \
		DESTDIR=$(CURDIR)/debian/setbfree \
		PREFIX=/usr

override_dh_auto_clean:
