=== b_overdrive/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
   LOADLIBES+=`pkg-config --libs liblo`
 endif
 
-ifeq ($(shell pkg-config --exists jack && echo yes), yes)
+ifeq ($(shell pkg-config --exists jack && echo yes)$(OVERDRIVEJACK), yesyes)
   targets+=jboverdrive
   binaries+=jboverdrive
   override CFLAGS+=-DHAVE_JACK `pkg-config --cflags jack`
@@ -37,23 +37,25 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c overdrive.o
-	$(CC) $(CPPFLAGS) $(CFLAGS) \
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fvisibility=hidden \
 		-o $(LV2NAME)$(LIB_EXT) lv2.c overdrive.o \
 	  -shared $(LV2LDFLAGS) $(LDFLAGS)
 
-overdrive.o: overmaker overdrive.h ../src/cfgParser.h ../src/midi.h
-	./overmaker > overdrive.c
+overdrive.o: overdrive.c overdrive.h ../src/cfgParser.h ../src/midi.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o overdrive.o overdrive.c
 
 overmaker:$(OVMSRC) overmakerdefs.h
 	$(CC) -o $(@) $(OVMSRC) -lm
+
+overdrive: overmaker
+	./overmaker > overdrive.c
 
 install: $(targets)
 ifneq ($(strip $(binaries)),)
 	-install -d $(DESTDIR)$(bindir)
 	install -m755 $(binaries) $(DESTDIR)$(bindir)
 endif
-ifneq ($(strip $(LV2NAME)),)
+ifeq ($(LV2AVAIL), yes)
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
@@ -69,6 +71,6 @@
 	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)
 
 clean:
-	rm -f *.o jboverdrive overmaker manifest.ttl $(LV2NAME)$(LIB_EXT) overdrive.c
+	rm -f *.o jboverdrive overmaker manifest.ttl $(LV2NAME)$(LIB_EXT)
 
-.PHONY: clean all install uninstall lv2
+.PHONY: clean all install uninstall lv2 overdrive
