=== b_reverb/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 include ../common.mak
 
 LOADLIBES = -lm
+override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden
 
 targets=reverb.o
 
@@ -25,7 +26,7 @@
 %.o: %c %.h ../src/cfgParser.h
 
 install: $(targets)
-ifneq ($(strip $(LV2NAME)),)
+ifeq ($(LV2AVAIL), yes)
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
