=== src/Makefile ===
--- 
+++ 
@@ -20,10 +20,10 @@
 	main.o \
 	midnam.o \
 	memstream.o \
-	../b_reverb/reverb.o \
-	../b_whirl/eqcomp.o \
-	../b_whirl/whirl.o \
-	../b_overdrive/overdrive.o
+	../b_reverb/reverb.c \
+	../b_whirl/eqcomp.c \
+	../b_whirl/whirl.c \
+	../b_overdrive/overdrive.c
 
 HEADERS = \
 	cfgParser.h \
@@ -48,16 +48,21 @@
   $(error "JACK is required - install libjack-dev or libjack-jackd2-dev")
 endif
 
-ifeq ($(shell pkg-config --exists alsa && echo yes), yes)
+ifeq ($(shell pkg-config --exists alsa && echo yes)$(ENABLE_ALSA), yesyes)
   override CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
   LOADLIBES+=`pkg-config --libs alsa`
-else
-  $(info "compiling w/o ALSA Sequencer - libasound is missing - JACK-midi is always on")
 endif
 
 
 override CFLAGS+=`pkg-config --cflags jack`
-LOADLIBES+=`pkg-config --libs jack`
+
+ifeq ($(USEWEAKJACK),1)
+  override CFLAGS+=-DUSE_WEAK_JACK -I$(RW)
+  LOADLIBES+=-ldl
+  WEAKJACK=$(RW)weakjack/weak_libjack.c
+else
+  LOADLIBES+=`pkg-config --libs jack`
+endif
 
 ifeq ($(shell pkg-config --exists sndfile \
 	&& test -f /usr/include/zita-convolver.h -o -f /usr/local/include/zita-convolver.h \
@@ -67,15 +72,13 @@
   OBJS+=../b_conv/convolution.o
   HEADERS+=../b_conv/convolution.h
   BXCC=$(CXX)
-else
-  $(info "compiling w/o ZITA Convolution Reverb -- needs libzita-convolver3 and libsndfile")
 endif
 
-all: setBfree
+all: setBfree$(EXE_EXT)
 
-setBfree: $(HEADERS) $(OBJS)
+setBfree$(EXE_EXT): $(HEADERS) $(OBJS)
 	$(BXCC) $(CPPFLAGS) $(CFLAGS) \
-		-o $(@) $(OBJS) \
+		-o $(@) $(OBJS) $(WEAKJACK) \
 		$(LDFLAGS) $(LOADLIBES)
 
 programd: program.c pgmParser.c program.h pgmParser.h main.h
@@ -88,7 +91,7 @@
 		-DCFG_MAIN \
 		-o $(@) cfgParser.c
 
-defaultpgm.h: programd ../pgm/default.pgm
+program: programd ../pgm/default.pgm
 	$(info re-generating default program include-file)
 	./programd ../pgm/default.pgm > defaultpgm.h
 
@@ -117,7 +120,7 @@
 	+$(MAKE) -C ../b_conv convolution.o
 
 clean:
-	rm -f *.o core *.log *~ setBfree configd programd defaultpgm.h
+	rm -f *.o core *.log *~ setBfree$(EXE_EXT) configd programd
 
 install: setBfree
 	install -d $(DESTDIR)$(bindir)
@@ -126,9 +129,6 @@
 	install -d $(DESTDIR)$(sharedir)/pgm
 	install -m644 ../cfg/*.cfg $(DESTDIR)$(sharedir)/cfg
 	install -m644 ../pgm/*.pgm $(DESTDIR)$(sharedir)/pgm
-ifneq ($(TCLTKPREFIX),)
-	install -m755 setBfree-start.sh $(DESTDIR)$(bindir)/setBfree-start
-endif
 
 uninstall:
 	rm -f $(DESTDIR)$(bindir)/setBfree
@@ -139,4 +139,4 @@
 	-rmdir $(DESTDIR)$(sharedir)/pgm
 	-rmdir $(DESTDIR)$(sharedir)
 
-.PHONY: clean all install uninstall
+.PHONY: clean all install uninstall program
