=== debian/changelog ===
setbfree (0.8.0-1) unstable; urgency=medium

  * Patches refreshed.
  * Bump Standards.
  * Enable parallel build.
  * Update copyright file.
  * Drop not needed build deps.
  * Fix desktop file entry.
  * Not install upstream changelog twice.
  * Add Keywords to desktop file.
  * Fix one more spelling mistake.
  * Patches forwarded.
  * Add local-option file.
  * Add dependency to build GUI.
  * Start GUI by desktop file.
  * Pass LDFLAGS after CFLAGS .
  * Add dependency to build whirl GUI.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 22 Sep 2015 07:28:29 +0200
