=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Robin Gareus <robin@gareus.org>
+ Robin Gareus <robin@gareus.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
- libasound2-dev,
  libftgl-dev,
  libglu1-mesa-dev,
+ libcairo2-dev,
+ libpango1.0-dev,
  libjack-dev | libjack-jackd2-dev,
+ libasound2-dev,
  liblo-dev,
  libsndfile1-dev,
  libx11-dev,
  libzita-convolver-dev (>=3.1.0),
  lv2-dev (>=1.0.0~dfsg2-2),
- tcl-dev,
- tk-dev
-Standards-Version: 3.9.4
+ ttf-bitstream-vera
+Standards-Version: 3.9.6
 Homepage: http://setbfree.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/setbfree.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git
