=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
 	dh_auto_build -- \
